Package com.massivecraft.factions.zcore.fupgrades

## Class FUpgradesGUI

- java.lang.Object
- - com.massivecraft.factions.zcore.fupgrades.FUpgradesGUI

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class FUpgradesGUI
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FUpgradesGUI()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `onClick​(org.bukkit.event.inventory.InventoryClickEvent e)` |
`void` | `openMainMenu​(FPlayer fme)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FUpgradesGUI

    public FUpgradesGUI()

### Method Detail

#### openMainMenu

    public void openMainMenu​(FPlayer fme)

#### onClick

    public void onClick​(org.bukkit.event.inventory.InventoryClickEvent e)